[xiph-commits] r16534 - trunk/ezstream/src

moritz at svn.xiph.org moritz at svn.xiph.org
Sun Aug 30 12:41:59 PDT 2009


Author: moritz
Date: 2009-08-30 12:41:59 -0700 (Sun, 30 Aug 2009)
New Revision: 16534

Modified:
   trunk/ezstream/src/ezstream-file.sh.in
Log:
Move the verbose error check where it belongs.


Modified: trunk/ezstream/src/ezstream-file.sh.in
===================================================================
--- trunk/ezstream/src/ezstream-file.sh.in	2009-08-30 19:38:48 UTC (rev 16533)
+++ trunk/ezstream/src/ezstream-file.sh.in	2009-08-30 19:41:59 UTC (rev 16534)
@@ -117,17 +117,17 @@
 _cfg="${_temp_dir}/config.xml"
 _playlist="${_temp_dir}/playlist.txt"
 
-touch "${_cfg}"
+touch "${_cfg}" || exit 1
+chmod 0600 "${_cfg}" || exit 1
+
+sed -e "s,${_filename_placeholder},${_playlist},g" \
+	< "${_cfg_template}" \
+	> "${_cfg}"
 if [ $? -ne 0 ]; then
 	echo "${_myname}: Unable to create configuration." >&2
 	exit 1
 fi
-chmod 0600 "${_cfg}"
 
-sed -e "s,${_filename_placeholder},${_playlist},g" \
-	< "${_cfg_template}" \
-	> "${_cfg}"
-
 if [ -n "$1" ]; then
 	for _file in $*
 	do



More information about the commits mailing list